## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           gkrellm
Version:        2.4.0
Release:        %autorelease
Summary:        Multiple stacked system monitors in one process
License:        GPL-3.0-or-later
URL:            https://gkrellm.srcbox.net/
Source0:        https://gkrellm.srcbox.net/releases/%{name}-%{version}.tar.bz2
Source5:        make-git-snapshot.sh
Patch1:         gkrellm-2.4.0-config.patch
Patch3:         gkrellm-2.4.0-width.patch
BuildRequires:  gcc
BuildRequires:  gtk2-devel openssl-devel libSM-devel desktop-file-utils gettext
BuildRequires:  lm_sensors-devel libntlm-devel libappstream-glib
Requires:       gdk-pixbuf2-modules-extra%{?_isa}

%description
GKrellM charts CPU, load, Disk, and all active net interfaces
automatically.  An on/off button and online timer for the PPP
interface is provided, as well as monitors for memory and swap usage,
file system, internet connections, APM laptop battery, mbox style
mailboxes, and temperature sensors on supported systems.  Also
included is an uptime monitor, a hostname label, and a clock/calendar.
Additional features are:

  * Autoscaling grid lines with configurable grid line resolution.
  * LED indicators for the net interfaces.
  * A gui popup for configuration of chart sizes and resolutions.


%package daemon
Summary:        The GNU Krell Monitors Server
# systemd >= 186 for scriptlet macros
BuildRequires:  systemd >= 186
BuildRequires: make
Requires(pre):  shadow-utils systemd
Requires(post,preun,postun): systemd


%description daemon
gkrellmd listens for connections from gkrellm clients. When a gkrellm
client connects to a gkrellmd server all builtin monitors collect their
data from the server.


%package        devel
Summary:        Development files for the GNU Krell Monitors
Requires:       gtk2-devel%{?_isa}

%description devel
Development files for the GNU Krell Monitors.


%prep
%autosetup -p1

for i in gkrellmd.1 gkrellm.1 README Changelog.OLD Changelog-plugins.html \
    src/gkrellm.h server/gkrellmd.h; do
   sed -i -e "s@/usr/lib/gkrellm2*/plugins@%{_libdir}/gkrellm2/plugins@" $i
   sed -i -e "s@/usr/local/lib/gkrellm2*/plugins@/usr/local/%{_lib}/gkrellm2/plugins@" $i
done


%build
make %{?_smp_mflags} PREFIX=%{_prefix} \
    PKGCONFIGDIR=%{_libdir}/pkgconfig \
    INCLUDEDIR=%{_includedir} \
    SINSTALLDIR=%{_sbindir} \
    CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -Wno-error=incompatible-pointer-types" \
    LDFLAGS="$RPM_LD_FLAGS"


%install
mkdir -p %{buildroot}%{_datadir}/gkrellm2/themes
mkdir -p %{buildroot}%{_libdir}/gkrellm2/plugins

make install DESTDIR=%{buildroot} PREFIX=%{_prefix} \
    LOCALEDIR=%{buildroot}%{_datadir}/locale \
    INSTALLDIR=%{buildroot}%{_bindir} \
    SINSTALLDIR=%{buildroot}%{_sbindir} \
    MANDIR=%{buildroot}%{_mandir}/man1 \
    PKGCONFIGDIR=%{buildroot}%{_libdir}/pkgconfig \
    INCLUDEDIR=%{buildroot}%{_includedir} \
    CFGDIR=%{buildroot}%{_sysconfdir}
%find_lang %name

desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml


%pre daemon
getent group gkrellmd >/dev/null || groupadd -r gkrellmd
getent passwd gkrellmd >/dev/null || \
useradd -r -g gkrellmd -M -d / -s /sbin/nologin -c "GNU Krell daemon" gkrellmd
:

%post daemon
%systemd_post gkrellmd.service

%preun daemon
%systemd_preun gkrellmd.service

%postun daemon
%systemd_postun_with_restart gkrellmd.service


%files -f %{name}.lang
%license COPYRIGHT
%doc CHANGELOG.md Changelog.OLD README Themes.html
%{_bindir}/%{name}
%{_libdir}/gkrellm2
%{_datadir}/gkrellm2
%{_mandir}/man1/%{name}.1*
%{_metainfodir}/*.metainfo.xml
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%files devel
%license %{_licensedir}/%{name}*
%{_includedir}/gkrellm2
%{_libdir}/pkgconfig/%{name}.pc

%files daemon
%license %{_licensedir}/%{name}*
%{_unitdir}/gkrellmd.service
%{_sbindir}/gkrellmd
%{_mandir}/man1/gkrellmd.*
%config(noreplace) %{_sysconfdir}/gkrellmd.conf


%changelog
## START: Generated by rpmautospec
* Mon Jan 20 2025 Adam Goode <adam@spicenitz.org> - 2.4.0-3
- Fix systemd unit file to point to correct gkrellmd location

* Mon Jan 20 2025 Adam Goode <adam@spicenitz.org> - 2.4.0-2
- Don't rename desktop file, it's referenced elsewhere

* Mon Jan 20 2025 Adam Goode <adam@spicenitz.org> - 2.4.0-1
- New upstream release and modernize spec file

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.11-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Dec 18 2024 Kevin Fenzi <kevin@scrye.com> - 2.3.11-19
- Rebuild for new libntlm soname bump.

* Fri Jul 26 2024 Benjamin Gilbert <bgilbert@backtick.net> - 2.3.11-18
- Require gdk-pixbuf2-modules-extra on F41+ to fix crash (rhbz#2276464)

* Thu Jul 25 2024 Miroslav Suchý <msuchy@redhat.com> - 2.3.11-17
- convert GPLv3+ license to SPDX

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.11-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.11-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.11-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.11-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.11-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.11-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.11-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Sep 14 2021 Sahana Prasad <sahana@redhat.com> - 2.3.11-9
- Rebuilt with OpenSSL 3.0.0

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.11-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Mar 02 2021 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.3.11-7
- Rebuilt for updated systemd-rpm-macros

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Dec 18 2020 Tom Stellard <tstellar@redhat.com> - 2.3.11-5
- Add BuildRequires: make

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.11-4
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Aug 25 2019 Adam Goode <agoode@google.com> - 2.3.11-1
- Update to 2.3.11

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.10-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.10-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Jan 27 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.3.10-10
- Remove obsolete scriptlets

* Sun Oct 14 2018 Peter Robinson <pbrobinson@gmail.com> - 2.3.10-9
- Drop old sys-v mingration bits

* Tue Jul 24 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.3.10-8
- Add missing BuildRequires on gcc

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.10-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.10-5
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Oct 28 2016 Ville Skyttä <ville.skytta@iki.fi> - 2.3.10-2
- %%changelog spelling and whitespace fixes

* Mon Oct 24 2016 Ville Skyttä <ville.skytta@iki.fi> - 2.3.10-1
- Update to 2.3.10

* Wed Oct 12 2016 Ville Skyttä <ville.skytta@iki.fi> - 2.3.9-1
- Update to 2.3.9

* Thu Sep 08 2016 Ville Skyttä <ville.skytta@iki.fi> - 2.3.8-1
- Update to 2.3.8

* Thu Jul 14 2016 Ville Skyttä <ville.skytta@iki.fi> - 2.3.7-3
- Optimize gkrellm.png with zopflipng

* Thu Jul 14 2016 Ville Skyttä <ville.skytta@iki.fi> - 2.3.7-2
- Patch to fix gkrellm.pc (#1356479)

* Sat Jun 04 2016 Ville Skyttä <ville.skytta@iki.fi> - 2.3.7-1
- Update to 2.3.7
- Make gkrellmd.conf noreplace again

* Fri Feb 26 2016 Hans de Goede <hdegoede@redhat.com> - 2.3.6-1
- Update to a 2.3.6-rc git snapshot for misc. fixes (inspired by Debian)
- Add a bunch of patches from Debian
- Add appdata

* Wed Feb 03 2016 Dennis Gilmore <dennis@ausil.us> - 2.3.5-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Oct 09 2015 Ville Skyttä <ville.skytta@iki.fi> - 2.3.5-23
- Mark COPYRIGHT as %%license

* Wed Jun 17 2015 Dennis Gilmore <dennis@ausil.us> - 2.3.5-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Peter Robinson <pbrobinson@fedoraproject.org> - 2.3.5-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jul 12 2014 Ville Skyttä <ville.skytta@iki.fi> - 2.3.5-20
- Start daemon after lm_sensors (#1117750, DaveG)
- Specfile cleanups

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> - 2.3.5-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Jan 10 2014 Ville Skyttä <ville.skytta@iki.fi> - 2.3.5-18
- Patch daemon to allow binding to a listen address that doesn't exist yet.
- Use systemd macros in scriptlets (#850128).

* Tue Dec 31 2013 Ville Skyttä <ville.skytta@iki.fi> - 2.3.5-17
- Run icon through optipng (#1047215).

* Wed Dec 11 2013 Ville Skyttä <ville.skytta@iki.fi> - 2.3.5-16
- Use main package's doc dir for -devel and -daemon.

* Fri Dec 06 2013 Ville Skyttä <ville.skytta@iki.fi> - 2.3.5-15
- Fix build with -Werror=format-security (#1037086).

* Sat Aug 03 2013 Dennis Gilmore <dennis@ausil.us> - 2.3.5-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Dennis Gilmore <dennis@ausil.us> - 2.3.5-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Feb 08 2013 Ville Skyttä <ville.skytta@iki.fi> - 2.3.5-12
- Systemd unit: add Documentation, remove obsolete After=syslog.target.
- Fix bogus dates in %%changelog.

* Thu Jul 19 2012 Dennis Gilmore <dennis@ausil.us> - 2.3.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Apr 23 2012 Ville Skyttä <ville.skytta@iki.fi> - 2.3.5-10
- Build with hardening flags on.

* Sun Jan 15 2012 Hans de Goede <hdegoede@redhat.com> - 2.3.5-9
- Explicitly link against gmodule-2.0 to fix building with latest glib

* Fri Jan 13 2012 Dennis Gilmore <dennis@ausil.us> - 2.3.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Nov 13 2011 Ville Skyttä <ville.skytta@iki.fi> - 2.3.5-7
- Drop Group from -daemon and -devel too.

* Sun Nov 13 2011 Ville Skyttä <ville.skytta@iki.fi> - 2.3.5-6
- Build with $RPM_LD_FLAGS. Clean up specfile stuff no longer needed with
  Fedora or EL6+.

* Fri Jul 29 2011 Ville Skyttä <ville.skytta@iki.fi> - 2.3.5-5
- Migrate daemon to systemd (#661656). Do icon dir timestamp update in
  %%post with lua.

* Wed Feb 09 2011 Dennis Gilmore <dennis@ausil.us> - 2.3.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 16 2010 Hans de Goede <hdegoede@redhat.com> - 2.3.5-3
- Add COPYRIGHT file to -devel and -daemon sub-packages

* Sun Oct 24 2010 Ville Skyttä <ville.skytta@iki.fi> - 2.3.5-2
- Add StartupNotify and StartupWMClass to gkrellm.desktop.

* Sun Oct 10 2010 Hans de Goede <hdegoede@redhat.com> - 2.3.5-1
- New upstream release 2.3.5

* Wed Jul 28 2010 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.4-4
- dist-git conversion

* Sun Jun 20 2010 Ville Skyttä <scop@fedoraproject.org> - 2.3.4-3
- Make -devel gtk2-devel dependency ISA qualified.

* Sun Feb 14 2010 Ville Skyttä <scop@fedoraproject.org> - 2.3.4-2
- Fix build with --no-add-needed (#564850). - Fix plugin dir defaults in
  installed headers. - Build with NTLM support.

* Tue Jan 05 2010 Hans de Goede <jwrdegoede@fedoraproject.org> - 2.3.4-1
- New upstream release 2.3.4

* Tue Dec 22 2009 Hans de Goede <jwrdegoede@fedoraproject.org> - 2.3.3-1
- New upstream release 2.3.3 - Fixes the gkrellm client crash when the
  gkrellm server reboots (#545327) - Drop a number of upstreamed patches

* Sun Dec 20 2009 Hans de Goede <jwrdegoede@fedoraproject.org> - 2.3.2-9
- Don't crash on laptops with dead batteries (#545987) - Don't crash with
  transparent themes (#549005)

* Fri Nov 27 2009 Hans de Goede <jwrdegoede@fedoraproject.org> - 2.3.2-8
- Fix crash when using multiple simap/spop mailboxes (#541824)

* Wed Nov 25 2009 Bill Nottingham <notting@fedoraproject.org> - 2.3.2-7
- Fix typo that causes a failure to update the common directory. (releng
  #2781)

* Fri Aug 21 2009 Tomáš Mráz <tmraz@fedoraproject.org> - 2.3.2-6
- rebuilt with new openssl

* Sat Jul 25 2009 Jesse Keating <jkeating@fedoraproject.org> - 2.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 17 2009 Ville Skyttä <scop@fedoraproject.org> - 2.3.2-4
- Sync icon cache update scriptlets with current Fedora guidelines.

* Tue Feb 24 2009 Jesse Keating <jkeating@fedoraproject.org> - 2.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 16 2009 Tomáš Mráz <tmraz@fedoraproject.org> - 2.3.2-2
- rebuild with new openssl

* Thu Oct 23 2008 Hans de Goede <jwrdegoede@fedoraproject.org> - 2.3.2-1
- New upstream release 2.3.2 - Drop upstreamed memleak patch

* Thu Oct 02 2008 Hans de Goede <jwrdegoede@fedoraproject.org> - 2.3.1-6
- Fix a small memory leak (which would accumulate over time) thanks to
  Daniel Colascione for the patch (rh 464040)

* Wed Sep 10 2008 Hans de Goede <jwrdegoede@fedoraproject.org> - 2.3.1-5
- Build against openssl instead of gnutls-openssl fixing symbol conflicts
  when using pam_ldap (which uses openssl), this fixes rh 446860

* Wed Jun 25 2008 Tomáš Mráz <tmraz@fedoraproject.org> - 2.3.1-4
- rebuild with new gnutls

* Wed Feb 13 2008 Hans de Goede <jwrdegoede@fedoraproject.org> - 2.3.1-3
- Fix building with latest glibc - Rebuild for gcc 4.3

* Tue Dec 04 2007 Ville Skyttä <scop@fedoraproject.org> - 2.3.1-2
- Clean up desktop-file-utils 0.14 warnings.

* Mon Dec 03 2007 Hans de Goede <jwrdegoede@fedoraproject.org> - 2.3.1-1
- New upstream release 2.3.1 - Drop upstreamed gnutls and lm_sensors-3.0.0
  patches

* Sun Oct 28 2007 Hans de Goede <jwrdegoede@fedoraproject.org> - 2.3.0-5
- Add support for lm_sensors-3.0.0 (not building yet as lm_sensors-3.0.0
  isn't in the repo yet)

* Wed Sep 05 2007 Ville Skyttä <scop@fedoraproject.org> - 2.3.0-4
- Rewrite gkrellmd init script: better LSB compliance, hddtemp
  interoperability, avoidance of X error messages, general cleanup.

* Tue Sep 04 2007 Ville Skyttä <scop@fedoraproject.org> - 2.3.0-3
- Fix gnutls detection/build and use it instead of openssl. - Sync user and
  group creation with current Fedora guidelines.

* Tue Aug 07 2007 Hans de Goede <jwrdegoede@fedoraproject.org> - 2.3.0-2
- Update License tag for new Licensing Guidelines compliance

* Sun Jul 22 2007 Hans de Goede <jwrdegoede@fedoraproject.org> - 2.3.0-1
- New upstream release 2.3.0

* Fri Jul 20 2007 Hans de Goede <jwrdegoede@fedoraproject.org> - 2.2.10-3
- Rebuild, including libsensors support on ppc and ppc64 as lm_sensors is
  available there now.

* Wed Nov 08 2006 Hans de Goede <jwrdegoede@fedoraproject.org> - 2.2.10-2
- Add special case for via 686 volt sensors <sigh> (bug 213304)

* Tue Oct 31 2006 Hans de Goede <jwrdegoede@fedoraproject.org> - 2.2.10-1
- New upstream release 2.2.10 - Drop integrated lmsensors and sysfs sensors
  patches

* Wed Oct 04 2006 Christian Iseli <c4chris@fedoraproject.org> - 2.2.9-5
- automated bump and rebuild

* Fri Sep 22 2006 Hans de Goede <jwrdegoede@fedoraproject.org> - 2.2.9-4
- Fixup .desktop so that gkrellm actually gets shown in the menu (bz
  206775)

* Mon Aug 28 2006 Hans de Goede <jwrdegoede@fedoraproject.org> - 2.2.9-3
- FE6 Rebuild

* Sun Aug 27 2006 Ville Skyttä <scop@fedoraproject.org> - 2.2.9-2
- http://fedoraproject.org/wiki/Extras/Schedule/FC6MassRebuild

* Wed Jul 19 2006 Hans de Goede <jwrdegoede@fedoraproject.org> - 2.2.9-1
- auto-import gkrellm-2.2.9-7 on branch devel from gkrellm-2.2.9-7.src.rpm
## END: Generated by rpmautospec
